%define plugins atlantis cubemodel elements fakeargb mswitch snow tile
 
Name:  compiz-fusion-unsupported
Version: 0.8.2
Release: 1%{?dist}
Summary: Additional plugins for Compiz
Group: User Interface/Desktops
License: GPLv2+
URL: http://compiz-fusion.org
Source0: http://releases.compiz-fusion.org/%{version}/compiz-plugins-unsupported-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch: s390 s390x

BuildRequires: compiz-fusion-devel >= %{version}
BuildRequires: compiz-bcop >= %{version}
BuildRequires: perl(XML::Parser)
BuildRequires: GConf2
BuildRequires: intltool
BuildRequires: mesa-libGL-devel


Requires: compiz-fusion >= %{version}


%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains additional plugins from the Compiz Fusion Project

%package gnome
Summary: Compiz Fusion Unsupported gnome configuration
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description gnome
This package contains the GNOME configuration for
Compiz Fusion Unsupported

%package devel
Group: Development/Libraries
Summary: Development files for Compiz-Fusion
Requires: compiz-fusion-devel >= %{version}
Requires: %{name} = %{version}-%{release}

%description devel
This package contain development files required for developing other plugins


%prep
%setup -q -n compiz-plugins-unsupported-%{version}
chmod -x src/cubemodel/*.c src/cubemodel/*.h


%build 
%configure --enable-schemas
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.a

%find_lang compiz-plugins-unsupported


%post gnome
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

  for p in in %{plugins}; do
      echo %{_sysconfdir}/gconf/schemas/compiz-${p}.schemas ; done \
      | xargs %{_bindir}/gconftool-2 --makefile-install-rule >& /dev/null || :


%pre gnome
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

  for p in in %{plugins}; do
	echo %{_sysconfdir}/gconf/schemas/compiz-${p}.schemas ; done \
	| xargs %{_bindir}/gconftool-2 --makefile-uninstall-rule >& /dev/null || :

fi

%preun gnome
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

  for p in in %{plugins}; do
	echo %{_sysconfdir}/gconf/schemas/compiz-${p}.schemas ; done \
	| xargs %{_bindir}/gconftool-2 --makefile-uninstall-rule >& /dev/null || :
  
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f compiz-plugins-unsupported.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/*.png

%files gnome
%defattr(-,root,root,-)
%config %{_sysconfdir}/gconf/schemas/*.schemas

%files devel
%defattr(-,root,root,-)
%{_includedir}/compiz/compiz-elements.h



%changelog
* Mon Jun 8 2009 Leigh Scott <leigh123linux@googlemail.com> 0.8.2-1
- bump to version 0.8.2
- fix permissions on the debug package
- add devel for compiz-elements
- make some of the recommended changes for the review

* Fri Dec 12 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.8-1
- First build 


